Nodes & Edges
Add node event
Add a tracked event to a canvas node.
curl -X POST "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/events" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"event_name": "purchase_complete",
"cross_domain": true
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/events"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"event_name": "purchase_complete",
"cross_domain": true
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/events", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"event_name": "purchase_complete",
"cross_domain": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"event_name": "purchase_complete",
"cross_domain": true
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/events", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/events')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"event_name": "purchase_complete",
"cross_domain": true
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "evt_8kN2mPqR",
"event_name": "purchase_complete",
"cross_domain": false,
"created_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
POST
/canvases/{canvasId}/nodes/{nodeId}/eventsPOST
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
canvasIdstring
RequiredCanvas identifier.
path
nodeIdstring
RequiredCanvas node identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
event_namestring
RequiredEvent name to track on this node.
cross_domainboolean
Whether cross-domain tracking is enabled.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
canvasIdstring
RequiredCanvas identifier.
nodeIdstring
RequiredCanvas node identifier.
Body
application/json
event_namestring
RequiredEvent name to track on this node.
cross_domainboolean
Whether cross-domain tracking is enabled.
Responses
Was this page helpful?
Built with Documentation.AI
Last updated today